[Unit]
Description=Run my custom task at shutdown only
DefaultDependencies=no
Before=poweroff.target halt.target shutdown.target reboot.target
Requires=poweroff.target

[Service]
Type=oneshot
ExecStartPre=systemctl stop lcd_control.service
ExecStart=/usr/bin/python3 /usr/bin/lcd_control_restart.py
RemainAfterExit=yes

[Install]
WantedBy=shutdown.target